com.unitech.lib.uhf.params

## Class TagAccessResult

- java.lang.Object
- - com.unitech.lib.uhf.params.TagAccessResult

-     public class TagAccessResult
      extends java.lang.Object

  The TagAccessResult class is used to pass the tag access result information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagAccessResult(byte[] epc, byte[] data, ResultCode code, ActionType action, BankType bank)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionType` | `actionType()` The access action type.
    `BankType` | `bankType()` The access bank type.
    `byte[]` | `data()` Returns the access result data value.
    `byte[]` | `epc()` Returns the access tag's EPC value.
    `java.lang.String` | `getData()` Returns the access result data value with HEX format.
    `java.lang.String` | `getEpc()` Returns the access tag's EPC value with HEX format.
    `ResultCode` | `resultCode()` The access result code.
    `java.lang.String` | `toString()` Return the TagAccessResult information with format: [Result Code], [Action Type], [EPC], [Data], [Bank]

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TagAccessResult

          public TagAccessResult(byte[] epc,
                                 byte[] data,
                                 ResultCode code,
                                 ActionType action,
                                 BankType bank)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Return the TagAccessResult information with format: [Result Code], [Action Type], [EPC], [Data], [Bank]
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The TagAccessResult information

    - #### getEpc

          public java.lang.String getEpc()

      Returns the access tag's EPC value with HEX format.
      Returns:
        The access tag's EPC value.

    - #### epc

          public byte[] epc()

      Returns the access tag's EPC value.
      Returns:
        An array to contain the access tag's EPC value.

    - #### data

          public byte[] data()

      Returns the access result data value.
      Returns:
        An array to contain the access result value.

    - #### getData

          public java.lang.String getData()

      Returns the access result data value with HEX format.
      Returns:
        The access result value.

    - #### actionType

          public ActionType actionType()

      The access action type.
      Returns:
        The access action type.

    - #### resultCode

          public ResultCode resultCode()

      The access result code.
      Returns:
        The access result code.

    - #### bankType

          public BankType bankType()

      The access bank type.
      Returns:
        The access bank type.